pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface Class Referenceabstract

`#include <pcl/registration/correspondence_rejection_features.h>`

Inheritance diagram for pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface:

## Public Member Functions

virtual | ~FeatureContainerInterface ()
| Empty destructor. More...
virtual bool | isValid ()=0
virtual double | getCorrespondenceScore (int index)=0
virtual bool | isCorrespondenceValid (int index)=0

## Detailed Description

Definition at line 154 of file correspondence_rejection_features.h.

## Constructor & Destructor Documentation

virtual pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface::~FeatureContainerInterface | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 158 of file correspondence_rejection_features.h.

## Member Function Documentation

virtual double pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface::getCorrespondenceScore | ( | int | index | ) |

pure virtual

Implemented in pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >.

virtual bool pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface::isCorrespondenceValid | ( | int | index | ) |

pure virtual

Implemented in pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >.

virtual bool pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface::isValid | ( |  | ) |

pure virtual

Implemented in pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/registration/include/pcl/registration/correspondence_rejection_features.h